##
##  mp3imagetagextr.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2010 OpenPKG Foundation e.V. <http://openpkg.net/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package version
%define       V_opkg 1.2
%define       V_dist 1_2

#   package information
Name:         mp3imagetagextr
Summary:      MP3 Image Tag Extraction Utility
URL:          http://mp3imagetagextr.sourceforge.net/
Vendor:       Sanjay Madhavan
Packager:     OpenPKG Foundation e.V.
Distribution: OpenPKG Community
Class:        EVAL
Group:        Graphics
License:      GPL
Version:      %{V_opkg}
Release:      20100129

#   list of sources
Source0:      http://switch.dl.sourceforge.net/mp3imagetagextr/Mp3ImageTagExtractor_V_%{V_dist}.zip
Source1:      mp3imagetagextr.sh

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20060823, java, JAVA-JDK, infozip
PreReq:       OpenPKG, openpkg >= 20060823, java, JAVA-JDK
AutoReq:      no
AutoReqProv:  no

%description
    This is a small utility for extracting Album cover art from MP3
    files into individual thumbnail files. It can handle individual
    files as well as complete directories of files organized as
    Artist/Album. It can also automatically resize the target file
    to any arbitrary pixel size. It can create folder.jpg in the
    Artist/Album directories, too.

%track
    prog mp3imagetagextr = {
        version   = %{V_dist}
        url       = http://sourceforge.net/projects/mp3imagetagextr/files/
        regex     = Mp3ImageTagExtractor_V_(__VER__)\.zip
    }

%prep
    %setup -q -T -c
    unzip -q -x %{SOURCE0}

%build
    find bin -name "CVS" -type d -print | xargs rm -rf
    jar cf mp3imagetagextr.jar -C bin .

%install
    rm -rf $RPM_BUILD_ROOT
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/lib/mp3imagetagextr
    %{l_shtool} install -c -m 755 %{l_value -s -a} \
        %{SOURCE mp3imagetagextr.sh} \
        $RPM_BUILD_ROOT%{l_prefix}/bin/mp3imagetagextr
    %{l_shtool} install -c -m 644 \
        MP3Tag-*.jar \
        $RPM_BUILD_ROOT%{l_prefix}/lib/mp3imagetagextr/mp3tag.jar
    %{l_shtool} install -c -m 644 \
        mp3imagetagextr.jar \
        $RPM_BUILD_ROOT%{l_prefix}/lib/mp3imagetagextr/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

